# frozen_string_literal: true

require 'amadeus/version'
require 'amadeus/client/location'
require 'amadeus/client/direction'
require 'amadeus/client/response'
require 'amadeus/client/decorator'
require 'amadeus/client/access_token'
require 'amadeus/client/errors'
require 'amadeus/client'

require 'amadeus/namespaces/travel'
require 'amadeus/namespaces/shopping'
require 'amadeus/namespaces/reference_data'
require 'amadeus/namespaces/e_reputation'
require 'amadeus/namespaces/booking'
require 'amadeus/namespaces/airport'
require 'amadeus/namespaces/safety'
require 'amadeus/namespaces/analytics'
require 'amadeus/namespaces/airport/predictions'
require 'amadeus/namespaces/airport/predictions/on_time'
require 'amadeus/namespaces/e_reputation/hotel_sentiments'
require 'amadeus/namespaces/booking/hotel_bookings'
require 'amadeus/namespaces/reference_data/airlines'
require 'amadeus/namespaces/reference_data/urls'
require 'amadeus/namespaces/reference_data/urls/checkin_links'
require 'amadeus/namespaces/reference_data/location'
require 'amadeus/namespaces/reference_data/locations'
require 'amadeus/namespaces/reference_data/locations/airports'
require 'amadeus/namespaces/reference_data/locations/point_of_interest'
require 'amadeus/namespaces/reference_data/locations/points_of_interest'
require 'amadeus/namespaces/reference_data/locations/points_of_interest/by_square'
require 'amadeus/namespaces/safety/safety_rated_location'
require 'amadeus/namespaces/safety/safety_rated_locations'
require 'amadeus/namespaces/safety/safety_rated_locations/by_square'
require 'amadeus/namespaces/analytics/itinerary_price_metrics'
require 'amadeus/namespaces/shopping/flight_destinations'
require 'amadeus/namespaces/shopping/flight_offers_search'
require 'amadeus/namespaces/shopping/flight_offers_search/prediction'
require 'amadeus/namespaces/shopping/flight_dates'
require 'amadeus/namespaces/shopping/hotel_offers'
require 'amadeus/namespaces/shopping/hotel_offer'
require 'amadeus/namespaces/shopping/hotel_offers_by_hotel'
require 'amadeus/namespaces/travel/analytics'
require 'amadeus/namespaces/travel/predictions'
require 'amadeus/namespaces/travel/predictions/trip_purpose'
require 'amadeus/namespaces/travel/predictions/flight_delay'
require 'amadeus/namespaces/travel/analytics/air_traffic'
require 'amadeus/namespaces/travel/analytics/air_traffic/traveled'
require 'amadeus/namespaces/travel/analytics/air_traffic/booked'
require 'amadeus/namespaces/travel/analytics/air_traffic/busiest_period'

# The namespace for the files used to make API
# calls to the Amadeus travel APIs
module Amadeus; end
